>From 42130f7272355749d86490d5d1a192ab0b8de999 Mon Sep 17 00:00:00 2001
From: Euler Taveira <euler@timbira.com>
Date: Wed, 14 May 2014 14:31:11 -0300
Subject: [PATCH 08/11] Remove trailing newline.

PQresultErrorMessage() includes a trailing newline.
---
 src/bin/pg_basebackup/pg_recvlogical.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/pg_basebackup/pg_recvlogical.c b/src/bin/pg_basebackup/pg_recvlogical.c
index a23381f..0679cd4 100644
--- a/src/bin/pg_basebackup/pg_recvlogical.c
+++ b/src/bin/pg_basebackup/pg_recvlogical.c
@@ -253,7 +253,7 @@ StreamLog(void)
 	res = PQexec(conn, query->data);
 	if (PQresultStatus(res) != PGRES_COPY_BOTH)
 	{
-		fprintf(stderr, _("%s: could not send replication command \"%s\": %s\n"),
+		fprintf(stderr, _("%s: could not send replication command \"%s\": %s"),
 				progname, query->data, PQresultErrorMessage(res));
 		PQclear(res);
 		goto error;
-- 
2.0.0.rc0

